import { useLexicalComposerContext } from '@lexical/react/LexicalComposerContext';
import { Button } from '../../buttons';
import { SerializedEditorState } from 'lexical';

export function SaveButtonPlugin({ onChange }: { onChange: (elements: SerializedEditorState) => void }) {
    const [editor] = useLexicalComposerContext();

    function handleSave() {
        editor.read(() => {
            const data = editor.getEditorState();
            const jsonData = data.toJSON();

           onChange(jsonData);
        })
    }

    return <Button label="Save" variantType="primary" className="ml-2" onClick={handleSave} />;
}
